Skip execstack test on Fedora 20 (ARM only).
This commit is contained in:
parent
4315966c7a
commit
609575e637
28
0001-Make-test-execstack-recognize-SKIP_-variable.patch
Normal file
28
0001-Make-test-execstack-recognize-SKIP_-variable.patch
Normal file
@ -0,0 +1,28 @@
|
|||||||
|
From ab54fc307ed7864db07285ddf44bc5dec35cec7c Mon Sep 17 00:00:00 2001
|
||||||
|
From: Hilko Bengen <bengen@hilluzination.de>
|
||||||
|
Date: Sat, 10 May 2014 13:39:44 +0200
|
||||||
|
Subject: [PATCH] Make test-execstack recognize SKIP_ variable
|
||||||
|
|
||||||
|
---
|
||||||
|
tests/test-execstack.sh | 5 +++++
|
||||||
|
1 file changed, 5 insertions(+)
|
||||||
|
|
||||||
|
diff --git a/tests/test-execstack.sh b/tests/test-execstack.sh
|
||||||
|
index a9cb5e0..a02803b 100755
|
||||||
|
--- a/tests/test-execstack.sh
|
||||||
|
+++ b/tests/test-execstack.sh
|
||||||
|
@@ -18,6 +18,11 @@
|
||||||
|
|
||||||
|
set -e
|
||||||
|
|
||||||
|
+if [ -n "$SKIP_TEST_EXECSTACK" ]; then
|
||||||
|
+ echo "$0: test skipped because SKIP_TEST_EXECSTACK is set."
|
||||||
|
+ exit 77
|
||||||
|
+fi
|
||||||
|
+
|
||||||
|
if scanelf --help >/dev/null 2>&1; then
|
||||||
|
echo "using scanelf"
|
||||||
|
scanelf -e ../src/supermin
|
||||||
|
--
|
||||||
|
1.9.0
|
||||||
|
|
@ -1,7 +1,7 @@
|
|||||||
Summary: Tool for creating supermin appliances
|
Summary: Tool for creating supermin appliances
|
||||||
Name: supermin
|
Name: supermin
|
||||||
Version: 5.1.8
|
Version: 5.1.8
|
||||||
Release: 3%{?dist}
|
Release: 4%{?dist}
|
||||||
License: GPLv2+
|
License: GPLv2+
|
||||||
|
|
||||||
%if 0%{?rhel} >= 7
|
%if 0%{?rhel} >= 7
|
||||||
@ -11,6 +11,9 @@ ExclusiveArch: x86_64
|
|||||||
URL: http://people.redhat.com/~rjones/supermin/
|
URL: http://people.redhat.com/~rjones/supermin/
|
||||||
Source0: http://libguestfs.org/download/supermin/%{name}-%{version}.tar.gz
|
Source0: http://libguestfs.org/download/supermin/%{name}-%{version}.tar.gz
|
||||||
|
|
||||||
|
# Upstream patch to allow us to skip the execstack test.
|
||||||
|
Patch0001: 0001-Make-test-execstack-recognize-SKIP_-variable.patch
|
||||||
|
|
||||||
BuildRequires: /usr/bin/pod2man
|
BuildRequires: /usr/bin/pod2man
|
||||||
BuildRequires: rpm
|
BuildRequires: rpm
|
||||||
BuildRequires: yum-utils
|
BuildRequires: yum-utils
|
||||||
@ -49,6 +52,7 @@ second when you need to boot one of them.
|
|||||||
|
|
||||||
%prep
|
%prep
|
||||||
%setup -q
|
%setup -q
|
||||||
|
%patch0001 -p1
|
||||||
|
|
||||||
|
|
||||||
%build
|
%build
|
||||||
@ -61,6 +65,14 @@ make DESTDIR=$RPM_BUILD_ROOT install
|
|||||||
|
|
||||||
|
|
||||||
%check
|
%check
|
||||||
|
|
||||||
|
# Skip execstack test where it is known to fail.
|
||||||
|
%if 0%{?fedora} <= 20
|
||||||
|
%ifarch aarch64 %{arm}
|
||||||
|
export SKIP_TEST_EXECSTACK=1
|
||||||
|
%endif
|
||||||
|
%endif
|
||||||
|
|
||||||
make check || {
|
make check || {
|
||||||
cat tests/test-suite.log
|
cat tests/test-suite.log
|
||||||
exit 1
|
exit 1
|
||||||
@ -74,6 +86,9 @@ make check || {
|
|||||||
|
|
||||||
|
|
||||||
%changelog
|
%changelog
|
||||||
|
* Mon May 19 2014 Richard W.M. Jones <rjones@redhat.com> - 5.1.8-4
|
||||||
|
- Skip execstack test on Fedora 20 (ARM only).
|
||||||
|
|
||||||
* Fri May 16 2014 Richard W.M. Jones <rjones@redhat.com> - 5.1.8-3
|
* Fri May 16 2014 Richard W.M. Jones <rjones@redhat.com> - 5.1.8-3
|
||||||
- BR xz-static & xz-devel packages, to support xz-compressed kernel modules.
|
- BR xz-static & xz-devel packages, to support xz-compressed kernel modules.
|
||||||
|
|
||||||
|
Loading…
Reference in New Issue
Block a user